kompendium
2.0.1
2.0.2 2.0.1

# EnumSchema

data class EnumSchema (enum: Set < String >, default: Any ?, description: String ?, nullable: Boolean ?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open override val description : String ? = null
Content copied to clipboard
enum
Link copied to clipboard
val enum : Set < String >
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard